{ lib, fetchurl, buildGoModule }:
buildGoModule rec {
  pname = "tea";
  version = "0.6.0";

  src = fetchurl {
    url = "https://gitea.com/gitea/tea/archive/v${version}.tar.gz";
    sha256 = "BI5iNYhb7GpFyiL7qVsWPR1ktoPy9BycYzmqzHVB+Gk=";
  };
  vendorSha256 = null;

  subPackages = [ "." ];
  meta = with lib; {
    description = "Gitea command-line client written in Go";
    homepage = "https://gitea.com/gitea/tea";
    license = licenses.mit;
    platforms = platforms.linux ++ platforms.darwin;
  };
}
